# $Revision: 1.11 $, $Date: 2001/12/08 08:09:34 $
Summary:	Cryptographically secure file wiping utility
Summary(pl):	Narzdzie do kryptograficznie bezpiecznego kasowania plikw
Name:		wipe
Version:	0.16
Release:	3
License:	GPL
Group:		Applications/File
Group(de):	Applikationen/Datei
Group(pl):	Aplikacje/Pliki
Source0:	http://gsu.linux.org.tr/wipe/%{name}-%{version}.tar.gz
URL:		http://gsu.linux.org.tr/wipe/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wipe is a tool for cryptographically secure file deletion from
magnetic media, to prevent using advanced recovery techniques like
magnetic force microscopy (MFM). Wipe will repeadetly overwrites
special patterns to the files to be destroyed, using the fsync() call
and/or the O_SYNC bit to force disk access. In normal mode, 34
patterns are used (of which 8 are random).

%description -l pl
Wipe jest narzdziem, sucym do kryptograficznie bezpiecznego
kasowania plikw z nonikw magnetycznych tak, by uniemoliwi prby
ich odtworzenia przy pomocy zaawansowanych technik takich jak
mikroskopia magnetyczna MFM. Wipe wielokrotnie nadpisuje dany plik
specjalnymi maskami, uywajc fsync() i/lub bitu O_SYNC dla
zapewnienia dostpu do dysku. W normalnym trybie wipe uywa 34 masek,
z ktrych 8 jest losowych.

%prep
%setup -q

%build
%{__make} %{_os}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install wipe $RPM_BUILD_ROOT%{_bindir}
install wipe.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf BUGS CHANGES README secure_del.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz

%attr(755,root,root) %{_bindir}/wipe
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wipe.spec,v $
Revision 1.11  2001/12/08 08:09:34  kloczek
- bump release to 3 for rebuild.

Revision 1.10  2000/10/10 21:22:32  kloczek
- release 2: use new rpm automation suit.

Revision 1.9  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.5  2000/01/21 15:50:09  kloczek
- updated to 0.16.

Revision 1.4  1999/12/07 09:34:11  kloczek
- adapter(ized),
- changed Group to Utilities/File,
- gzipping instead bzipping2 %doc files,
- changed permission to 755 on executable.

Revision 1.3  1999/12/07 09:27:06  kravietz
- more minor fixes

Revision 1.2  1999/12/07 09:20:02  kravietz
- spec fixes

Revision 1.1  1999/12/07 09:09:42  kravietz
- created wipe spec
9958639531e1a0c42b11832b4c43fac9  wipe.spec
